#!/bin/bash
repfaire=
echo "Menu pour les modules"
echo "Que voulez-vous faire?"
echo "1) Configurer et batir un module? (./configure; make)"
echo "2) Installer un module (make install)"
echo "3) Batir le module seulement (make)"
echo "4) Mise à jour CVS"
echo "X) Quitter"
read repfaire

case $repfaire in
1 | 2 | 3 | 4);;
*) exit 1; 
esac

module=
echo "Pour quel module?" 
echo "1) arts"
echo "2) kdelibs"
echo "3) kdelibs/khtml : konqueror"
echo "X) Quitter"
read repmodule

case $repmodule in
1) module=arts ;;
2) module=kdelibs ;;
3) module=kdelibs/khtml ;;
*) exit 1;
esac

CVSROOT=:pserver:anonymous@anoncvs.kde.org:/home/kde
if [ $module != "" ]; then
	case $repfaire in
	1) 
		echo "cd $module/; make -f Makefile.cvs; ./configure; make"
		cd "$module/"
		make -f Makefile.cvs
		./configure
		make
		cd ..
		;;
	2)
		echo "Entrez votre mot de passe pour installer $module."
		su root -c "cd $module/; make install"
		;;
	3)
		echo "cd $module/; make"
		cd "$module/"
		make
		cd ..
		;;
	4)
		echo "Vous devez entrer anonymous pour vous connecter et pouvoir telecharger le module."
		cvs -d $CVSROOT login
		echo "Mise a jour du module (cvs up $module)"
		cvs -d $CVSROOT up $module
		;;
	esac
fi

exit 1; 
