#!/bin/bash
# constante et chemin d'acces
SRC_KDE_DIR=/usr/src/kde/
KDE_CVSRC=.cvsrc
USER_CVSRC=~/.cvsrc
CONF_SH=conf.sh
CURRENT_USER=$USER

echo "Menu pour configurer CVS pour KDE"
echo "1) Configurer CVS pour KDE"
echo "2) Telecharger les modules arts et kdelibs (a faire une fois au tout debut)"
echo "X) Quitter"
read rep 

case $rep in
1)
		
	if ! [ -d $SRC_KDE_DIR ]; then
		echo "Entrez votre mot de passe administrateur pour creer le repertoire $SRC_KDE_DIR"
		su root -c "install -d $SRC_KDE_DIR; chown $CURRENT_USER.$CURRENT_USER $SRC_KDE_DIR" 
	fi
	
	modifCVSRC=true
	if [ -e $USER_CVSRC ]; then
		modifCVSRC=false
		echo "Le fichier $USER_CVSRC existe deja voulez le modifier quand meme? [o]"
		read repCVSRC
		if [ $repCVSRC == 'o' ]; then 
			modifCVSRC=true
			cp $USER_CVSRC "$USER_CVSRC.old"
			echo "Le fichier $USER_CVSRC a été copié vers le fichier $USER_CVSRC.old."
		fi
	fi
	if [ $modifCVSRC == true ]; then
		echo "Modification du fichier $USER_CVSRC : options par defaut des commandes CVS."
		cp $KDE_CVSRC $USER_CVSRC
		chown $CURRENT_USER.$CURRENT_USER $USER_CVSRC
	fi

	# copie du fichier conf.sh
	if [ -e $KDE_CVSRC$CONF_SH ]; then 
		mv $KDE_CVSRC$CONF_SH $KDE_CVSRC$CONF_SH.old; 
	fi
	echo "Copie du fichier $CONF_SH vers $KDE_CVSRC : Script de configuration et installation des modules."
	cp $CONF_SH $KDE_CVSRC$CONF_SH
	chmod 770 $KDE_CVSRC$CONF_SH


;;
2)
	cd $SRC_KDE_DIR
	CVSROOT=:pserver:anonymous@anoncvs.kde.org:/home/kde
#echo "Modification de la variable $CVSROOT."
#export CVSROOT=:pserver:anonymous@anoncvs.kde.org:/home/kde
	
	echo "Connexion CVS, entrez anonymous comme mot de passe."
	cvs -d $CVSROOT login
	
	echo "Recuperation (checkout) du module arts et kdelibs."
	cvs -d $CVSROOT co arts kdelibs

	echo "Vous pouvez taper ./conf.sh pour compiler les modules."
;;
esac
